org.apache.maven.scm.provider.cvslib.cvsjava.command.checkin

## Class CvsJavaCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.checkin.CvsJavaCheckInCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsJavaCheckInCommand
    extends AbstractCvsCheckInCommand

Version:
  $Id: CvsJavaCheckInCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsJavaCheckInCommand()`

### Method Summary

Methods
`protected CheckInScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository, File messageFile)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand

`executeCheckInCommand`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsJavaCheckInCommand

    public CvsJavaCheckInCommand()

### Method Detail

#### executeCvsCommand

    protected CheckInScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                     CvsScmProviderRepository repository,
                                     File messageFile)
                                          throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsCheckInCommand`
Throws:
  `ScmException`